﻿Feature: Excluding scenarios from synchronization

Rule: Can use tag expression to filter out scenarios from the synchronization

@tc:142
Scenario: Only selected scenarios are filtered (by tag expression)
	Filtered out scenarios are added (kept) in test suite. See feature "Test Suite Synchronization"
	Given there is an Azure DevOps project
	And there is a feature file in the local repository
		"""
		Feature: Sample feature

		@done @current_sprint
		Scenario: Scenario in focus now
			When I do something

		@done
		Scenario: Other scenario
			When I do something
		"""
	And the synchronizer is configured to filter senario tags with "@current_sprint and @done"
	When the local repository is synchronized with push
	Then the scenario "Scenario: Scenario in focus now" was synchronized
	But the scenario "Scenario: Other scenario" was not synchronized

